## org.hibernate.cfg.annotations
Class ResultsetMappingSecondPass

    java.lang.Object
      org.hibernate.cfg.annotations.ResultsetMappingSecondPass

All Implemented Interfaces:
  Serializable, QuerySecondPass, SecondPass

    public class ResultsetMappingSecondPass

extends Object
implements QuerySecondPass

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`ResultsetMappingSecondPass(SqlResultSetMapping ann, Mappings mappings, boolean isDefault)`

Method Summary
`void` `doSecondPass(Map persistentClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultsetMappingSecondPass

    public ResultsetMappingSecondPass(SqlResultSetMapping ann,
                                      Mappings mappings,
                                      boolean isDefault)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.